Bug 289681 - Review Request: qca2 - Qt Cryptographic Architecture
Review Request: qca2 - Qt Cryptographic Architecture
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 289701
  Show dependency treegraph
 
Reported: 2007-09-13 14:22 EDT by Aurelien Bompard
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-21 17:10:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2007-09-13 14:22:11 EDT
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/psi/qca2.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/psi/qca2-2.0.0-0.1.beta7.fc7.i386.rpm
Description: 
Taking a hint from the similarly-named Java Cryptography Architecture,
QCA aims to provide a straightforward and cross-platform crypto API,
using Qt datatypes and conventions. QCA separates the API from the
implementation, using plugins known as Providers. The advantage of this
model is to allow applications to avoid linking to or explicitly depending
on any particular cryptographic library. This allows one to easily change
or upgrade crypto implementations without even needing to recompile the
application!

This package is a new (and incompatible) version of qca (which is already in Fedora), but designed for QT4. Like QT, both versions will have to live simultaneously. It should be rather easy to review.
and qt4). Please copy the qca/devel module in qca2/devel.
Comment 1 Rex Dieter 2007-09-13 15:58:30 EDT
initial comments
0. naming.  Since this is a qt4 addon, maybe qt4-qca?  This would only make 
sense if the existing qca were (re)named qt-qca.  Else qca, qca2 worksforme 
too. :)

1.  configure.  I suggest using instead:
unset QTDIR

./configure \
  --prefix=%{_prefix} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \
  --datadir=%{_datadir} \
  --no-separate-debug-info \
  --verbose

Use of --no-separate-debug-info allows one to not have to mess with 
omitting/excluding lib*.debug files later).

If you want qca2 to be installed into the same place(s) as qt4, use macros 
_qt4_prefix, _qt4_includedir, _qt4_libdir, _qt4_datadir instead, but I don't 
think this is needed, as long as there are no conflicts between qca(1) and 
qca2.

2. --certstore-path should probably be set to something under /etc/pki/...

Comment 2 Aurelien Bompard 2007-09-13 17:55:31 EDT
(1) is fixed, thanks for the clues
(2) is detected properly by the configure script

Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/psi/qca2.spec
SRPM URL:
http://gauret.free.fr/fichiers/rpms/fedora/psi/qca2-2.0.0-0.2.beta7.fc7.i386.rpm

It leaves (0), since we have a precedent with qca, I think it should either:
- stay qca2
- be qca and qca would be renamed to compat-qca. I have no strong opinion on
this, see my question in the qca-ossl bug (#289701)
Comment 3 Aurelien Bompard 2007-10-16 02:19:29 EDT
ping ? Psi 0.11 is out and I need qca2 to upgrade...
Comment 4 Peter Lemenkov 2007-10-16 17:33:51 EDT
I'll pick up the review.
Wait a little...

Comment 5 Peter Lemenkov 2007-10-17 18:27:12 EDT
Formal review follows.

MUST items:

- rpmlint not silent - is it necessary to place libqca.prl in /usr/lib?
+ package meets naming and packaging guidelines
+ specfile is properly named
+ package meets Packaging/Guidelines
+ package licensed with a Fedora approved license and meets the Licensing
Guidelines.
+ spec file written in American English
+ spec file legible
+ sources match the upstream source 
7e90a314fc12beb1ba6bdbbfb007d0b4  /usr/src/redhat/SOURCES/qca-2.0.0-beta7.tar.bz2
+ package builds file (powerpc)
+ all build dependencies listed in BuildRequires
+ package calls ldconfig in %post and %postun
+ package owns all created directories
+ package not contains any duplicate files in the %files listing. 
+ permissions on files sets properly
+ package has a %clean section
+ package uses macros consistently 
+ package contains code or permissable content
+ header files are in a -devel package
+ package contains no static libs
+ package does not contain any .la libtool archives
+ not a GUI app
+ all filenames in rpm packages are valid UTF-8

Please resolve or explain issue with rpmlint - that's a last stop.
Comment 6 Aurelien Bompard 2007-10-18 13:47:09 EDT
The qt4-devel package also places a few .prl files in /usr/lib. Since qca2 is a
qt4 extension, and that's what the make install does, I just followed the
standard here.
Comment 7 Peter Lemenkov 2007-10-18 15:30:40 EDT
Ok, I understand.

The package is APPROVED.


I'll review qca-ossl asap.

Comment 8 Aurelien Bompard 2007-10-18 15:56:16 EDT
New Package CVS Request
=======================
Package Name: qca2
Short Description: Qt Cryptographic Architecture
Owners: abompard
Branches: F-7
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-10-21 13:32:30 EDT
mass branch for F-8 has happened, so I assumed you wanted an F-8 branch as well. 
cvs done. 
Comment 10 Aurelien Bompard 2007-10-21 17:10:55 EDT
Yes, thanks !
Comment 11 Fedora Update System 2007-11-01 17:22:51 EDT
qca2-2.0.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2007-11-06 11:02:12 EST
qca2-2.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.